curl --request POST \
--url https://api.hubapi.com/marketing/v3/campaigns/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"properties": {}
}
]
}
'import requests
url = "https://api.hubapi.com/marketing/v3/campaigns/batch/create"
payload = { "inputs": [{ "properties": {} }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: [{properties: {}}]})
};
fetch('https://api.hubapi.com/marketing/v3/campaigns/batch/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"businessUnits": [
{
"id": 123
}
],
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"businessUnits": [
{
"id": 123
}
],
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Create campaigns
Este ponto de extremidade cria um lote de campanhas. O número máximo de itens em uma solicitação em lote é 50. Não há garantia de que as campanhas na resposta estejam na mesma ordem em que foram fornecidas na solicitação.
Supported products
Supported products
Required Scopes
Required Scopes
Autorizações
The access token received from the authorization server in the OAuth 2.0 flow.
Corpo
Uma matriz de objetos PublicCampaignInput, cada um representando as propriedades de uma campanha a ser criada em lote. Esta propriedade é obrigatória.
Show child attributes
Show child attributes
Resposta
successful operation
A data e a hora em que a operação em lote foi concluída, formatadas como uma string de data e hora.
Uma matriz de resultados da operação em lote. Cada item representa uma campanha pública.
Show child attributes
Show child attributes
A data e a hora em que a operação em lote iniciou, formatadas como uma string de data e hora.
O status atual da operação em lote. Os valores possíveis são: CANCELADO, CONCLUÍDO, PENDENTE, PROCESSANDO.
CANCELED, COMPLETE, PENDING, PROCESSING Um mapa de links relacionados associados à operação em lote.
Show child attributes
Show child attributes
A data e a hora em que a operação em lote foi solicitada, formatadas como uma string de data e hora.